* {
  box-sizing: border-box;
}

a, img, span {
  display: block;
}

html, body {
  height: 100vh;
}

body {
  margin: 0;
  display: flex;
  flex-direction: column;
  background-color: #b49f90;
  font-family: 'Raleway', sans-serif;
}

body header nav:nth-child(2) label {
  display: none;
  margin: 0 auto;
  padding: .5em;
  cursor: pointer;
  font-size: 1.5em;
}

body header nav:nth-child(2) label span {
  color: white;
}

body.index {
  background-image: url("./choke.jpg");
  background-size: 100% auto;
  background-repeat: no-repeat;
  background-position: 50% 43%;
  background-color: #000;
}

body header {
  display: block;
  margin-top: 6em;
  background-color: rgba(0, 0, 0, 0.5);
}

body header nav {
  display: inline-block;
  vertical-align: middle;
}

body header nav:first-child {
  margin-left: 4em;
  margin-right: auto;
}

body header nav:first-child h1 {
  color: white;
  font-size: 4em;
  margin: 0;
  font-weight: 300;
}

body header nav:last-child {
  margin-right: 4em;
  margin-left: auto;
}

body header nav:last-child label {
  color: white;
  display: none;
}

body header nav:last-child a {
  display: inline-block;
  text-decoration: none;
  color: white;
  text-transform: uppercase;
  padding: 1em 2em;
  margin: 2em 0;
  font-size: .8em;
  font-weight: 300;
  white-space: nowrap;
}

body header nav:last-child a:not(:last-child) {
  border-right: 1px solid #ddd;
}

body header nav:last-child a:hover {
  color: wheat;
}

body main {
  flex-grow: 1;
  margin: .5em auto;
}

body main h3 {
  margin: 0;
  font-size: 2.5em;
  color: white;
  text-shadow: 1px 1px 50px black, -1px 1px 50px black, 1px -1px 50px black, -1px 1px 50px black, 1px 1px 50px black;
}

body:not(.index) main h3 {
  text-shadow: none;
}

body main article {
  background-color: white;
  padding: 1ch;
  display: block;
  max-width: 75em;
  margin: 1em auto;
}

body main article a {
  display: block;
}

body main article a img {
  display: block;
  width: calc(100% - 2em);
  margin: 1em auto;
}

body main article a + p {
  margin-bottom: 3em;
}

body.portfolio main article {
  max-width: initial;
  margin: auto;
  max-width: 77em;
  line-height: 0;
  column-count: 3;
}

body.portfolio main article a.image {
  max-width: 25em;
  display: inline-block;
}

body.portfolio main article a.image img {
  margin: 0;
  margin-top: 1.1em;
  width: 100%;
}

body.portfolio main article * {
  min-height: 100%;
}

@media (max-width: 60em) {
  body.portfolio main article {
    column-count: 2;
  }
}

@media (max-width: 30em) {
  body.portfolio main article {
    column-count: 1;
  }
}

.mfp-title {
  text-align: center;
  font-size: 1.3em;
}

body.about main article {
  background-color: white;
  margin: 0 auto;
  padding: 0;
  width: 100%;
  max-width: 75em;
  column-count: 2;
}

body.about main article img {
  width: 100%;
  margin: 0 auto;
}

body.about main article p {
  margin: 0;
  padding: 1em;
  font-size: 1.5em;
}

@media (max-width: 996px) {
  body.about main article {
    column-count: 1;
    display: flex;
    flex-direction: column-reverse;
  }
}

body.contact main article {
  background-color: white;
  display: block;
  width: 100%;
  max-width: 70em;
  margin: 1em auto;
}

body.contact main article > div {
  margin: auto;
  padding: 0;
  overflow: hidden;
  padding-bottom: 3em;
}

body.contact main article > div div {
  text-align: center;
  font-size: 2em;
}

body.contact main article > div div a {
  text-decoration: none;
  color: #4E342E;
  display: inline-block;
  margin: auto;
  border: 2px solid #4E342E;
  border-radius: .25em;
  padding: .5em;
}

body.contact main article > div div a svg, body.contact main article > div div a span {
  display: inline-block;
  vertical-align: middle;
}

body.contact main article > div div a svg {
  height: 1.5em;
  padding-right: 1em;
}

body.contact main article > div div a span {
  border-bottom: 2px solid transparent;
  font-family: 'Heebo';
}

body.contact main article > div div a:hover {
  background-color: #b49f90;
  color: white;
  border-color: transparent;
}

body.contact main article > div div a:hover svg {
  fill: white;
}

body.contact main article > div iframe {
  display: block;
  width: 100%;
  min-height: 55em;
  max-width: 30em;
  margin: auto;
  position: relative;
  top: -115px;
}

body.contact main article > div:first-child {
  padding-top: 3.5em;
}

body.contact main article > div:last-child {
  overflow: hidden;
}

body footer {
  display: block;
}

body footer nav {
  display: block;
  margin: 0 2em;
  padding: .5em 0;
  text-align: right;
}

body footer nav a {
  display: inline-block;
}

body footer nav a svg {
  display: block;
  height: 3em;
}

@media (max-width: 1252px) {
  body header {
    display: block;
    margin-top: 0;
  }
  body header nav {
    display: block;
    max-width: max-content;
  }
  body header nav:nth-child(1) {
    margin: 0 auto;
  }
  body header nav:nth-child(1) h1 {
    text-align: center;
    font-size: 3em;
  }
  body header nav:nth-child(2) {
    margin: 0 auto;
  }
  body header nav:nth-child(2) a {
    margin-bottom: 0;
  }
  body main h3 {
    text-align: center;
    font-size: 1.5em;
  }
  body.index {
    background-size: auto calc(100% + 0em);
    background-position: 50% 50%;
  }
}

@media (max-width: 648px) {
  body header nav:nth-child(2) {
    display: block;
    text-align: center;
  }
  body header nav:nth-child(2) input[type=checkbox]:checked ~ a {
    visibility: visible;
    height: initial;
    padding: 1em;
  }
  body header nav:nth-child(2) label {
    display: block;
  }
  body header nav:nth-child(2) a {
    display: block;
    margin: 0 auto;
    visibility: hidden;
    height: 0;
    user-select: none;
    padding: 0;
  }
  body header nav:nth-child(2) a:not(:last-child) {
    border: none;
  }
  body.index {
    background-position: 60% 50%;
  }
  body.contact article > div > div a span {
    font-size: .5em;
  }
}

@media (orientation: landscape) and (max-height: 400px) {
  body.index main {
    margin: 0;
    justify-content: flex-end;
    position: relative;
    top: 3em;
  }
}
